LINUX.ORG.RU

Обновление Сentos 6 до 7

 ,


0

2

Тут пишется

Warning: use of this tool is currently not recommended as several system-critical packages are of a higher version number in CentOS 6.6 than they are in CentOS 7 so those do not get upgraded correctly. This renders yum and several other system tools non-functional.

Я обновил через эту штуковину, получил ошибку rpm DB_VERSION_MISMATCH и вывалился в rescure console. Проблема из-за разных версий rpm в центоси 6 и 7. Удалось починить удалив /var/lib/rpm/__*. Но... это были учения на VM. Действия нужно сделать для amazon web services, где не будет rescue console, а нужно все делать через ssh. Предварительное удаление /var/lib/rpm/__* не помогает, оно пересоздается где-то в процессе обновления. Переустанавливать неохота.

★★★★★

Ответ на: комментарий от Deleted

ось сама предлогала, вышло сообщение при yum update, и предложило с командой которую ввести. но это год назад было.

erzent ☆☆ ()
Ответ на: комментарий от erzent

ось сама предлогала, вышло сообщение при yum update, и предложило с командой которую ввести. но это год назад было.

А чего там еще интересного в параллельной вселенной?

kernelpanic ★★★★★ ()
Ответ на: комментарий от erzent

ось сама предлогала, вышло сообщение при yum update, и предложило с командой которую ввести. но это год назад было.

Порошок, уходи!

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.